Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet
Class StandalonePortletURL

    java.lang.Object
      com.bea.portlet.GenericURL
          com.bea.portlet.PostbackURL
              com.bea.portlet.WindowURL
                  com.bea.portlet.StandalonePortletURL

All Implemented Interfaces:
  Cloneable

public class StandalonePortletURL
extends WindowURL

The `StandalonePortletURL` helps create links to render portlets in a separate window (such as a popup window).

See Also:
  `GenericURL`

Field Summary
`static String` | `STREAMING_PORTLET_URL_PATTERN`

Fields inherited from class com.bea.portlet.GenericURL
`CONTROL_STATE_PARAM, CURRENT_PAGE, DOMAIN, httpRequest, httpResponse, LOADSTATE_PARAM, MODE_PARAM, PAGE_LABEL_PARAM, params, PATH, PORT, POSTBACK_PARAM, PREFIX, QUERY_STRING, SCHEME, SECURE_PORT, STATE_PARAM, TREE_OPTIMIZATION_PARAM, WINDOW_LABEL_PARAM`

Constructor Summary
`protected` | `StandalonePortletURL(HttpServletRequest httpRequest, HttpServletResponse httpResponse)` Constructs a StandalonePortletURL.
`protected` | `StandalonePortletURL(HttpServletRequest httpRequest, HttpServletResponse httpResponse, String windowLabel)` Constructs a StandalonePortletURL.

Method Summary
`void` | `addParameter(String name, String value)` Add a parameter.
`void` | `addParameter(String name, String value, boolean encodeName, boolean encodeValue)` Add a parameter.
`protected StringBuffer` | `appendPathWhenNull(StringBuffer buf, HttpServletRequest httpRequest)`
`Object` | `clone()` Returns a deep copy.
`static StandalonePortletURL` | `createStandalonePortletURL(HttpServletRequest httpRequest, HttpServletResponse httpResponse)` Returns a StandalonePortletURL.
`static StandalonePortletURL` | `createStandalonePortletURL(HttpServletRequest httpRequest, HttpServletResponse httpResponse, String windowLabel)` Returns a StandalonePortletURL.
`String` | `getPortletServletName()`
`void` | `setPortletServletName(String servletPortletName)`

Methods inherited from class com.bea.portlet.WindowURL
`createWindowURL, createWindowURL, getWindowLabel, getWindowMode, getWindowState, setWindowLabel, setWindowMode, setWindowState`

Methods inherited from class com.bea.portlet.PostbackURL
`createPostbackURL, toString`

Methods inherited from class com.bea.portlet.GenericURL
`addParameter, appendEnsureSeparator, createQueryString, getContextualPath, getDomain, getEncodeSession, getParameter, getParameters, getPathPrefix, getPort, getResolvedTemplate, getScheme, getSecurePort, getTemplate, getUrlType, removeParameter, setContextualPath, setDomain, setEncodeSession, setPath, setPathPrefix, setPort, setScheme, setSecurePort, setTemplate, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STREAMING_PORTLET_URL_PATTERN

    public static final String STREAMING_PORTLET_URL_PATTERN

See Also:
  Constant Field Values

Constructor Detail

### StandalonePortletURL

    protected StandalonePortletURL(HttpServletRequest httpRequest,
                                   HttpServletResponse httpResponse)

  Constructs a StandalonePortletURL.

### StandalonePortletURL

    protected StandalonePortletURL(HttpServletRequest httpRequest,
                                   HttpServletResponse httpResponse,
                                   String windowLabel)

  Constructs a StandalonePortletURL.

Method Detail

### addParameter

    public void addParameter(String name,
                             String value)

  Description copied from class: `GenericURL`

  Add a parameter. Multiple values for the same parameter can be set by calling this method multiple times with the same name.

  This method URL encodes the parameter name and value value.

  Overrides:
    `addParameter` in class `GenericURL`
  Parameters:
    `name` - name
    `value` - value

### addParameter

    public void addParameter(String name,
                             String value,
                             boolean encodeName,
                             boolean encodeValue)

  Add a parameter. Multiple values for the same parameter can be set by calling this method multiple times with the same name.

  If the encodeName boolean argument is true, this method URL encodes the parameter name. If the encodeValue boolean argument is true, this method URL encodes the parameter value.

  Overrides:
    `addParameter` in class `GenericURL`
  Parameters:
    `name` - parameter's name
    `value` - parameter's value
    `encodeName` - true if the parameter's name should be encoded
    `encodeValue` - true if the parameter's value should be encoded

### appendPathWhenNull

    protected StringBuffer appendPathWhenNull(StringBuffer buf,
                                              HttpServletRequest httpRequest)

  Overrides:
    `appendPathWhenNull` in class `GenericURL`
  Excluded: Should not appear in public javadocs

### clone

    public Object clone()

  Returns a deep copy.

  Overrides:
    `clone` in class `WindowURL`
  Returns:
    clone

### createStandalonePortletURL

    public static StandalonePortletURL createStandalonePortletURL(HttpServletRequest httpRequest,
                                                                  HttpServletResponse httpResponse)

  Returns a StandalonePortletURL.

  Parameters:
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
  Returns:
    StandalonePortletURL

### createStandalonePortletURL

    public static StandalonePortletURL createStandalonePortletURL(HttpServletRequest httpRequest,
                                                                  HttpServletResponse httpResponse,
                                                                  String windowLabel)

  Returns a StandalonePortletURL.

  Parameters:
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
    `windowLabel` - window label
  Returns:
    StandalonePortletURL

### getPortletServletName

    public String getPortletServletName()

### setPortletServletName

    public void setPortletServletName(String servletPortletName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved